import type { _SKPhysicsBody } from "./SKPhysicsBody.js";
import type { _SKPhysicsJoint } from "./SKPhysicsJoint.js";
import type { CGPoint } from "../structs/CGPoint.js";
export declare class _SKPhysicsJointFixed extends _SKPhysicsJoint {
    static alloc(): _SKPhysicsJointFixed;
    static new(): _SKPhysicsJointFixed;
    init(): _SKPhysicsJointFixed;
    static jointWithBodyA$bodyB$anchor$(bodyA: _SKPhysicsBody, bodyB: _SKPhysicsBody, anchor: CGPoint): _SKPhysicsJointFixed;
}
